## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           libbraiding
Version:        1.1
%global so_version 0
Release:        %autorelease
Summary:        Library for computations on braid groups

License:        GPLv2+
URL:            https://github.com/miguelmarco/libbraiding
Source0:        %{url}/archive/%{version}/libbraiding-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

BuildRequires:  make
BuildRequires:  gcc-c++

%description
This library allows various computations on braid groups, such as normal forms.


%package        devel
Summary:        Development files for libbraiding

Requires:       libbraiding%{?_isa} = %{version}-%{release}

%description    devel
The libbraiding-devel package contains libraries and header files for
developing applications that use libbraiding.


%prep
%autosetup


%build
# Upstream does not generate the configure script
autoreconf --force --install --verbose

%configure --disable-static

# Work around libtool reordering -Wl,--as-needed after all the libraries.
sed -i 's|CC=.g..|& -Wl,--as-needed|' libtool

%make_build


%install
%make_install

# We do not want the libtool files
find '%{buildroot}' -type f -name '*.la' -print -delete


%files
%license LICENSE
%doc README.md
%{_libdir}/libbraiding.so.%{so_version}
%{_libdir}/libbraiding.so.%{so_version}.*


%files devel
%doc CHANGELOG
%{_includedir}/braiding.h
%{_includedir}/cbraid*.h
%{_libdir}/libbraiding.so


%changelog
* Fri Dec 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.1-8
- Consider autoreconf to be a build step

* Fri Dec 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.1-7
- Explicitly BR autoconf/automake, not only libtool

* Fri Dec 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.1-6
- Style tweaks according to personal preference

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Sep 12 2020 Jerry James <loganjerry@gmail.com> - 1.1-1
- Version 1.1

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Oct 24 2018 Jerry James <loganjerry@gmail.com> - 1.0-1
- Initial RPM

